var cartContents = [];

if (!localStorage.getItem('cart-contents')) {
    localStorage.setItem('cart-contents', JSON.stringify([]));
} else {
    cartContents = JSON.parse(localStorage.getItem('cart-contents'));
}

function searchCart(name) {
    if (cartContents.length > 0) {
        for (var i = 0; i < cartContents.length; i++) {
            if (cartContents[i].name === name) {
                console.log('Found!');
                return i;
            }
        }
    }
    console.log('Not found!');
    return false;
}

document.getElementsByName('add-to-cart').forEach((button) => {
    button.addEventListener('click', (event) => {
        var id = `#${event.target.value}`;
        var name = document.querySelector(id + ' h1').innerHTML;
        var pos = searchCart(name);
        if (pos === false) {
            var quantity = 1;
            cartContents.push({
                name: name,
                quantity: quantity
            });
        } else {
            cartContents[pos].quantity++;
        }
        localStorage.setItem('cart-contents', JSON.stringify(cartContents));
    });
});
